Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## java.sql
Enum RowIdLifetime

    java.lang.Object
      java.lang.Enum<RowIdLifetime>
          java.sql.RowIdLifetime

All Implemented Interfaces:
  Serializable, Comparable<RowIdLifetime>

    public enum RowIdLifetime

extends Enum<RowIdLifetime>

Enumeration for RowId life-time values.

Since:
  1.6

Enum Constant Summary
`ROWID_UNSUPPORTED` Indicates that this data source does not support the ROWID type.
`ROWID_VALID_FOREVER` Indicates that the lifetime of a RowId from this data source is, effectively, unlimited.
`ROWID_VALID_OTHER` Indicates that the lifetime of a RowId from this data source is indeterminate; but not one of ROWID_VALID_TRANSACTION, ROWID_VALID_SESSION, or, ROWID_VALID_FOREVER.
`ROWID_VALID_SESSION` Indicates that the lifetime of a RowId from this data source is at least the containing session.
`ROWID_VALID_TRANSACTION` Indicates that the lifetime of a RowId from this data source is at least the containing transaction.

Method Summary
`static RowIdLifetime` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RowIdLifetime[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROWID_UNSUPPORTED

    public static final RowIdLifetime ROWID_UNSUPPORTED

  Indicates that this data source does not support the ROWID type.

### ROWID_VALID_OTHER

    public static final RowIdLifetime ROWID_VALID_OTHER

  Indicates that the lifetime of a RowId from this data source is indeterminate; but not one of ROWID_VALID_TRANSACTION, ROWID_VALID_SESSION, or, ROWID_VALID_FOREVER.

### ROWID_VALID_SESSION

    public static final RowIdLifetime ROWID_VALID_SESSION

  Indicates that the lifetime of a RowId from this data source is at least the containing session.

### ROWID_VALID_TRANSACTION

    public static final RowIdLifetime ROWID_VALID_TRANSACTION

  Indicates that the lifetime of a RowId from this data source is at least the containing transaction.

### ROWID_VALID_FOREVER

    public static final RowIdLifetime ROWID_VALID_FOREVER

  Indicates that the lifetime of a RowId from this data source is, effectively, unlimited.

Method Detail

### values

    public static RowIdLifetime[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RowIdLifetime c : RowIdLifetime.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RowIdLifetime valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.